Help

0

Blog Posts are not Editable in Translation mode, Odoo 12.0

Avatar
Muhammad Arslan

Hi, 
My odoo webiste has two languages (English and Chinese) and the default language is English. Whenever I go to the blog posts and edit them from Frontend panel everything is fine in default language, but when I change the language to Chinese I can't edit the blog post from Frontend Panel it just gives me "500: Internal Server Error" 

 Trackback:

Traceback (most recent call last):   File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/usr/lib/python3/dist-packages/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb.compile at 0x7fd6821f78c8>, 2009, ('zh_CN', None, None, True, True, 1))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/usr/lib/python3/dist-packages/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.ui.view', <function View._read_template at 0x7fd6828d4bf8>, frozenset({1, 2, 3, 4, 5, 6, 7, 8, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 67, 68, 77, 78, 82, 83, 84, 85, 86, 89, 90, 91, 92, 93}), 2009, ('zh_CN', None, None, True, True, 1))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/qweb.py", line 372, in get_template
    document = options.get('load', self.load)(template, options)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_qweb.py", line 122, in load
    template = env['ir.ui.view'].read_template(name)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 1174, in read_template
    return self._read_template(self.get_view_id(xml_id))
  File "<decorator-gen-33>", line 2, in _read_template
  File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 1165, in _read_template
    arch = self.browse(view_id).read_combined(['arch'])['arch']
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 784, in read_combined
    arch = self.apply_view_inheritance(arch_tree, root.id, self.model)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 732, in apply_view_inheritance
    source = self.apply_inheritance_specs(source, specs_tree, view_id)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 710, in apply_inheritance_specs
    self.raise_view_error(_("Element '%s' cannot be located in parent view") % tag, inherit_id)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 548, in raise_view_error
    raise ValueError(message)
ValueError: 元素 '<xpath expr="//p[hasclass('post-meta')]/span[hasclass('fa-tags')]">' 在母级视图中没有找到

错误的上下文:
视图 `blog_post_complete_ept`
[view_id: 2708, xml_id: n/a, model: n/a, parent_id: 2009]

load could not load template
Template: 2009
アバター
Discard